/**
 * 
 */
package org.richfaces.test.staging;

import javax.el.ELContextListener;
import javax.el.ELResolver;
import javax.el.ExpressionFactory;
import javax.servlet.ServletContext;
import javax.servlet.jsp.JspApplicationContext;

import com.sun.el.ExpressionFactoryImpl;

/**
 * @author asmirnov
 *
 */
public class StaggingJspApplicationContext implements JspApplicationContext {
	
	private final ExpressionFactory expressionFactory ;
	private final ServletContext servletContext;
	

	public StaggingJspApplicationContext(ServletContext servletContext) {
		this.servletContext = servletContext;
		expressionFactory = ExpressionFactory.newInstance();
	}

	/* (non-Javadoc)
	 * @see javax.servlet.jsp.JspApplicationContext#addELContextListener(javax.el.ELContextListener)
	 */
	public void addELContextListener(ELContextListener listener) {

	}

	/* (non-Javadoc)
	 * @see javax.servlet.jsp.JspApplicationContext#addELResolver(javax.el.ELResolver)
	 */
	public void addELResolver(ELResolver resolver) {

	}

	/* (non-Javadoc)
	 * @see javax.servlet.jsp.JspApplicationContext#getExpressionFactory()
	 */
	public ExpressionFactory getExpressionFactory() {
		return expressionFactory;
	}

}
